Bug 70505 - chkconfig --del does not remove symlinks in rc?.d dirs
chkconfig --del does not remove symlinks in rc?.d dirs
Product: Red Hat Public Beta
Classification: Retired
Component: chkconfig (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-08-01 17:10 EDT by Ralph Rodriguez
Modified: 2014-03-16 22:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-02 01:54:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralph Rodriguez 2002-08-01 17:10:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
Acc to the man page, a chkconfig --del service should remove the symlinks from
the /etc/rc.d/rc?.d directories.  In fact, it does not do so.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cd /etc/rc.d
2. find . -name '*isdn*'
3. Note that isdn symlinks exist in all rc?.d directories.
4. chkconfig --del isdn
5. find . -name '*isdn*'
6. Note that isdn symlinks still appear in all rc.d dirs

Actual Results:  The symlinks in /etc/rc.d/rc?.d directories are not removed by
the chkconfig --del service command.

Expected Results:  The symlinks should be removed when the command is run (according
to the man page)

Additional info:
Comment 1 Bill Nottingham 2002-08-12 15:27:45 EDT
This works fine for me with chkconfig-1.3.5-5. Make sure /etc/init.d/isdn exists.

Note You need to log in before you can comment on or make changes to this bug.